#ifndef UU_UNPARSE_H
#define UU_UNPARSE_H

#include "uulib/UUID.h"

void uu_unparse_lower(pUCXT, const struct uu *in, char *out);
void uu_unparse_upper(pUCXT, const struct uu *in, char *out);
void uu_unparse(pUCXT, const struct uu *in, char *out);

void uu_unparse_lower4(pUCXT, const struct uu4 *in, char *out);
void uu_unparse_upper4(pUCXT, const struct uu4 *in, char *out);
void uu_unparse4(pUCXT, const struct uu4 *in, char *out);

void uu_unparse_lower6(pUCXT, const struct uu6 *in, char *out);
void uu_unparse_upper6(pUCXT, const struct uu6 *in, char *out);
void uu_unparse6(pUCXT, const struct uu6 *in, char *out);

void uu_unparse_lower7(pUCXT, const struct uu7 *in, char *out);
void uu_unparse_upper7(pUCXT, const struct uu7 *in, char *out);
void uu_unparse7(pUCXT, const struct uu7 *in, char *out);

#endif
/* ex:set ts=2 sw=2 itab=spaces: */
